Initialize a page (space) and retrieve the required layout and data.
This endpoint initializes the application. Basically, it fetches the current space information.
HTTP Method
POST
Endpoint
/api/app/initialize
Request URL
{Base URL}/api/app/initialize
Sample Request
{
"SpaceName": "Explore",
"DataspaceInfo": {
"QueryInfo": {
"Meta": {}
}
}
}
Parameters
| Param Name | Data Type | Description |
|---|---|---|
| SpaceName | String | Name of the space to load (for example, Explore, MyActivity). |
Curl Example
Multi-line format (for readability):
curl --header "Accept-Language: en" \
--http1.1 \
--insecure \
--verbose \
--ntlm \
--user "device-name1\jdoe:P@ssw0rd" \
-X POST \
"https://hubstreamproduction.hubstreamonline.com/api/app/initialize" \
-H "Content-Type: application/json" \
-d '{
"SpaceName": "Explore",
"DataspaceInfo": {
"QueryInfo": {
"Meta": {}
}
}
}'
Single-line format (for terminal use):
curl --header "Accept-Language: en" --http1.1 --insecure --verbose --ntlm --user "device-name1\jdoe:P@ssw0rd" -X POST "https://hubstreamproduction.hubstreamonline.com/api/app/initialize" -H "Content-Type: application/json" -d "{\"SpaceName\":\"Explore\",\"DataspaceInfo\":{\"QueryInfo\":{\"Meta\":{}}}}"
Sample Responses
Status code 2XX indicates successful request and response.
200 OK
Description: Operation succeeded
Responses consist of:
| Param Name | Description |
|---|---|
| UserInfo | User details. |
| LayoutInfo | Current layout information (for example, GridPage, OneChartOneTableLayout). |
| DataspaceInfo | Contains query and metadata used to fetch and render data. For example, current space information, qualified space details, and conditional data. This will be helpful for subsequent calls. |
| AppInfo | All application information, including entities, icons, organization, timezone, and UI configurations. |
| AdditionalInfo | Contains additional space-related information. |